﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BuilderPattern
{
    //具体建造者创建戴尔电脑
    class DellConcreteBuilder : ComputerBuilder
    {
        
        public override void CreateCompName()
        {
            ComputerInstance = new Computer();
            ComputerInstance.CompName = "戴尔电脑";
        }

        public override void CreateCompMemory()
        {
            ComputerInstance.MemorySize = "2GB";
        }

        public override void CreateCompDisk()
        {
            ComputerInstance.DiskSize = "320GB";
        }
    }
}
