﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BuilderPattern
{
    //具体建造者创建惠普电脑
    class HpConcreteBuilder : ComputerBuilder
    {
        
        public override void CreateCompName()
        {
            ComputerInstance = new Computer();
            ComputerInstance.CompName = "惠普电脑";
        }

        public override void CreateCompMemory()
        {
            ComputerInstance.MemorySize = "1GB";
        }

        public override void CreateCompDisk()
        {
            ComputerInstance.DiskSize = "160GB";
        }
    }
}
