﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BuilderPattern
{
    //具体建造者创建IBM电脑
    class IBMConcreteBuilder : ComputerBuilder
    {
        
        public override void CreateCompName()
        {
            ComputerInstance = new Computer();
            ComputerInstance.CompName = "IBM电脑";
        }

        public override void CreateCompMemory()
        {
            ComputerInstance.MemorySize = "2G";
        }

        public override void CreateCompDisk()
        {
            ComputerInstance.DiskSize = "1000G";
        }
    }
}
