﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BuilderPattern
{
    //指挥者
    class CreateDirector
    {
        /// <summary>
        /// 调用建造者抽象方法以生产产品
        /// </summary>
        /// <param name="compBuilder"></param>
        public void CreateComputer(ComputerBuilder compBuilder)
        {
            compBuilder.CreateCompName();
            compBuilder.CreateCompMemory();
            compBuilder.CreateCompDisk();
        }
    }
}
