﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BuilderPattern
{
    //产品
    class Computer
    {
        private string m_CompName;
        private string m_MemorySize;
        private string m_DiskSize;

        /// <summary>
        /// 电脑名称
        /// </summary>
        public string CompName
        {
            get { return m_CompName; }
            set { m_CompName = value; }
        }

        /// <summary>
        /// 内存大小
        /// </summary>
        public string MemorySize
        {
            get { return m_MemorySize; }
            set { m_MemorySize = value; }
        }

        /// <summary>
        /// 硬盘大小
        /// </summary>
        public string DiskSize
        {
            get { return m_DiskSize; }
            set { m_DiskSize = value; }
        }
        /// <summary>
        /// 显示产品的信息
        /// </summary>
        public void ShowComputerInfo()
        {
            Console.WriteLine("------------------------");
            Console.WriteLine("电脑名称：" + CompName);
            Console.WriteLine("内存大小：" + MemorySize);
            Console.WriteLine("硬盘大小：" + DiskSize);
        }
    }
}
