﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BuilderPattern
{
    //具体建造者创建苹果电脑
    class AppleConcreteBuilder : ComputerBuilder
    {
        
        public override void CreateCompName()
        {
            ComputerInstance = new Computer();
            ComputerInstance.CompName = "苹果电脑";
        }

        public override void CreateCompMemory()
        {
            ComputerInstance.MemorySize = "4G";
        }

        public override void CreateCompDisk()
        {
            ComputerInstance.DiskSize = "500G";
        }
    }
}
